﻿using System;
using System.Collections.Generic;

namespace Bazaar.Core.Models
{
    public class Seller
    {
        public int ID { get; set; }
        public int SellerNo { get; set; }
        public string Name { get; set; }
        public decimal TurnOver { get; set; }
        public virtual ICollection<Article> Article { get; set; }
        public int CheckOutID { get; set; }
        public DateTime CheckOutDate { get; set; }

        public Seller()
        {
            Article = new HashSet<Article>();
        }
    }
}
