﻿using Bazaar.Core.Models;
using System;
using System.ComponentModel;
using System.Linq;
using System.Windows.Forms;

namespace Bazaar.Gui
{
    public partial class FrmSeller : Form
    {
        private BazaarDb _db = new BazaarDb();

        public FrmSeller()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            bsSeller.DataSource = _db.Sellers.ToList();
        }
        protected override void OnClosing(CancelEventArgs e)
        {
            base.OnClosing(e);
            _db.Dispose();
        }

        private void bnSellerSave_Click(object sender, EventArgs e)
        {
            this.Validate();
            _db.SaveChanges();
            dgvSeller.Refresh();
        }
    }
}
